Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v2
Class ContentType

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v2.ContentType

All Implemented Interfaces:
  Serializable

    public class ContentType

extends Object
implements Serializable

Contains all elements relative to the content of the message

Java class for ContentType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Document" type="{urn:be:fgov:ehealth:ehbox:core:v2}DocumentType"/>
               <element name="News" type="{urn:be:fgov:ehealth:ehbox:core:v2}NewsType"/>
             </choice>
             <element name="FreeInformations" type="{urn:be:fgov:ehealth:ehbox:core:v2}FreeInformationsType" minOccurs="0"/>
             <element name="EncryptableINSSPatient" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
             <element name="Annex" type="{urn:be:fgov:ehealth:ehbox:core:v2}AnnexType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ContentType()`

Method Summary
`List<AnnexType>` | `getAnnices()` Gets the value of the annices property.
`DocumentType` | `getDocument()` Gets the value of the document property.
`DataHandler` | `getEncryptableINSSPatient()` Gets the value of the encryptableINSSPatient property.
`FreeInformationsType` | `getFreeInformations()` Gets the value of the freeInformations property.
`NewsType` | `getNews()` Gets the value of the news property.
`void` | `setDocument(DocumentType value)` Sets the value of the document property.
`void` | `setEncryptableINSSPatient(DataHandler value)` Sets the value of the encryptableINSSPatient property.
`void` | `setFreeInformations(FreeInformationsType value)` Sets the value of the freeInformations property.
`void` | `setNews(NewsType value)` Sets the value of the news property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentType

    public ContentType()

Method Detail

### getNews

    public NewsType getNews()

  Gets the value of the news property.

  Returns:
    possible object is `NewsType`

### setNews

    public void setNews(NewsType value)

  Sets the value of the news property.

  Parameters:
    `value` - allowed object is `NewsType`

### getDocument

    public DocumentType getDocument()

  Gets the value of the document property.

  Returns:
    possible object is `DocumentType`

### setDocument

    public void setDocument(DocumentType value)

  Sets the value of the document property.

  Parameters:
    `value` - allowed object is `DocumentType`

### getFreeInformations

    public FreeInformationsType getFreeInformations()

  Gets the value of the freeInformations property.

  Returns:
    possible object is `FreeInformationsType`

### setFreeInformations

    public void setFreeInformations(FreeInformationsType value)

  Sets the value of the freeInformations property.

  Parameters:
    `value` - allowed object is `FreeInformationsType`

### getEncryptableINSSPatient

    public DataHandler getEncryptableINSSPatient()

  Gets the value of the encryptableINSSPatient property.

  Returns:
    possible object is `DataHandler`

### setEncryptableINSSPatient

    public void setEncryptableINSSPatient(DataHandler value)

  Sets the value of the encryptableINSSPatient property.

  Parameters:
    `value` - allowed object is `DataHandler`

### getAnnices

    public List<AnnexType> getAnnices()

  Gets the value of the annices property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the annices property.

  For example, to add a new item, do as follows:

          getAnnices().add(newItem);

  Objects of the following type(s) are allowed in the list `AnnexType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.